Accounts
Account Manage Create
Create a human account without creating an authentication method. This is intended for admin and integration driven account provisioning.
Create a human account without creating an authentication method. This is intended for admin and integration driven account provisioning.
POST
/accountsstoryden-session<token>
In: cookie
Request Body
application/json
handle*string
The unique @ handle of an account.
name?string
The account owners display name.
email_address?string
A valid email address.
Response Body
application/json
application/json
curl -X POST "https://loading/api/accounts" \ -H "Content-Type: application/json" \ -d '{ "handle": "Southclaws" }'{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"roles": [
{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"name": "string",
"colour": "string",
"permissions": [
"CREATE_POST"
],
"meta": {},
"badge": true,
"default": true
}
],
"bio": "<body><p>hi, my name is</p><p>southclaws</p></body>",
"signature": "<body><p>Sent with love from London!</p></body>",
"links": [
{
"text": "string",
"url": "string"
}
],
"meta": {},
"verified_status": "none",
"email_addresses": [
{
"id": "cc5lnd2s1s4652adtu50",
"email_address": "hello@storyden.org",
"verified": true
}
],
"notifications": 0,
"admin": true,
"invited_by": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
}
}Empty
Empty
Empty
Empty
{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}